Subject: bug#16652: Texinfo index entries should not contain colons

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Oct 2019 18:18:36 +0200

Glenn Morris <[email-masked]> writes:

> Grep suggests that doc/ contains 200+ index entries containing colons:
>
>   find . -name '*.texi' -exec grep '^@.index.*:' {} +
>
> Info cannot handle colons in index intries, so they don't work.

I checked one of these:

./doc/lispref/text.texi:@findex :notification-dispatcher

I went to the elisp index and found the

* :request-dispatcher:                   JSONRPC Overview.    (line  20)

line and I hit RET on that, and I was taken to what was apparently the
correct node and line.

So has this been fixed in the years since this was reported?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no